<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>documentation/info_segments/phcs_.info</title>
<meta name="Generator" content="Vim/9.1">
<meta name="plugin-version" content="vim9.0_v2">
<meta name="syntax" content="none">
<meta name="settings" content="number_lines,use_css,no_foldcolumn,expand_tabs,line_ids,pre_wrap,prevent_copy=,use_input_for_pc=none">
<meta name="colorscheme" content="PaperColor">
<style>
<!--
pre { white-space: pre-wrap; font-family: monospace; color: #d0d0d0; background-color: #000000; }
body { font-family: monospace; color: #d0d0d0; background-color: #000000; }
* { font-size: 1em; }
.textRainbow_lv1_p0 { color: #ffffe0; }
.textRainbow_lv0_o0 { color: #add8e6; }
.textRainbow_lv0_p0 { color: #add8e6; }
.LineNr { color: #585858; }
-->
</style>

<script>
<!--

/* function to open any folds containing a jumped-to line before jumping to it */
function JumpToLine()
{
  var lineNum;
  lineNum = window.location.hash;
  lineNum = lineNum.substr(1); /* strip off '#' */

  if (lineNum.indexOf('L') == -1) {
    lineNum = 'L'+lineNum;
  }
  var lineElem = document.getElementById(lineNum);
  /* Always jump to new location even if the line was hidden inside a fold, or
   * we corrected the raw number to a line ID.
   */
  if (lineElem) {
    lineElem.scrollIntoView(true);
  }
  return true;
}
if ('onhashchange' in window) {
  window.onhashchange = JumpToLine;
}

-->
</script>
</head>
<body onload='JumpToLine();'>
<pre id='vimCodeElement'>
<span id="L1" class="LineNr"> 1 </span>:Info: phcs_:  1983-03-31  phcs_
<span id="L2" class="LineNr"> 2 </span>
<span id="L3" class="LineNr"> 3 </span>
<span id="L4" class="LineNr"> 4 </span>Entry points in phcs_:
<span id="L5" class="LineNr"> 5 </span>   <span class="textRainbow_lv0_p0">(</span>List is generated by the help command<span class="textRainbow_lv0_p0">)</span>
<span id="L6" class="LineNr"> 6 </span>
<span id="L7" class="LineNr"> 7 </span>
<span id="L8" class="LineNr"> 8 </span>:Entry: read_disk_label:  1983-02-08 phcs_$read_disk_label
<span id="L9" class="LineNr"> 9 </span>
<span id="L10" class="LineNr">10 </span>
<span id="L11" class="LineNr">11 </span>Function: This entry point is used to read the label of a storage
<span id="L12" class="LineNr">12 </span>system disk drive.  The label is described by the structure &quot;label,&quot;
<span id="L13" class="LineNr">13 </span>in the include file fs_vol_label.incl.pl1.
<span id="L14" class="LineNr">14 </span>
<span id="L15" class="LineNr">15 </span>
<span id="L16" class="LineNr">16 </span>Syntax:
<span id="L17" class="LineNr">17 </span>dcl phcs_$read_disk_label entry <span class="textRainbow_lv0_p0">(</span>bit <span class="textRainbow_lv1_p0">(</span>36<span class="textRainbow_lv1_p0">)</span> aligned<span class="textRainbow_lv0_o0">,</span> pointer<span class="textRainbow_lv0_o0">,</span>
<span id="L18" class="LineNr">18 </span>     fixed bin <span class="textRainbow_lv1_p0">(</span>35<span class="textRainbow_lv1_p0">)</span><span class="textRainbow_lv0_p0">)</span>;
<span id="L19" class="LineNr">19 </span>call phcs_$read_disk_label <span class="textRainbow_lv0_p0">(</span>pvid<span class="textRainbow_lv0_o0">,</span> label_ptr<span class="textRainbow_lv0_o0">,</span> code<span class="textRainbow_lv0_p0">)</span>;
<span id="L20" class="LineNr">20 </span>
<span id="L21" class="LineNr">21 </span>
<span id="L22" class="LineNr">22 </span>Arguments:
<span id="L23" class="LineNr">23 </span>pvid
<span id="L24" class="LineNr">24 </span>   is the physical volume id of the disk whose label is to be read.
<span id="L25" class="LineNr">25 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>.  The physical volume id is used instead of the volume name
<span id="L26" class="LineNr">26 </span>   because this is a ring zero interface, and volume names are not
<span id="L27" class="LineNr">27 </span>   accessible by ring zero; hence, all ring zero interfaces that
<span id="L28" class="LineNr">28 </span>   reference physical volumes use the pvid.  A pvname can be converted
<span id="L29" class="LineNr">29 </span>   to a pvid by calling the subroutine mdc_$find_volname or can be
<span id="L30" class="LineNr">30 </span>   returned by a previous call to find_partition_.
<span id="L31" class="LineNr">31 </span>label_ptr
<span id="L32" class="LineNr">32 </span>   is a pointer to the user-supplied buffer in which to read the label.
<span id="L33" class="LineNr">33 </span>   <span class="textRainbow_lv0_p0">(</span>Input<span class="textRainbow_lv0_p0">)</span>.  The label is 1024 words long and is described in
<span id="L34" class="LineNr">34 </span>   fs_vol_label.incl.pl1.
<span id="L35" class="LineNr">35 </span>code
<span id="L36" class="LineNr">36 </span>   is a nonstandard status code.  <span class="textRainbow_lv0_p0">(</span>Output<span class="textRainbow_lv0_p0">)</span>.  See &quot;List of codes&quot; below.
<span id="L37" class="LineNr">37 </span>
<span id="L38" class="LineNr">38 </span>
<span id="L39" class="LineNr">39 </span>List of codes:
<span id="L40" class="LineNr">40 </span>0
<span id="L41" class="LineNr">41 </span>   indicates that the label was successfully read.
<span id="L42" class="LineNr">42 </span>error_table_$pvid_not_found
<span id="L43" class="LineNr">43 </span>   indicates that the specified physical volume is not presently
<span id="L44" class="LineNr">44 </span>   mounted.
<span id="L45" class="LineNr">45 </span>an integer between 1 and 10
<span id="L46" class="LineNr">46 </span>   indicates that a physical disk error occurred while trying to
<span id="L47" class="LineNr">47 </span>   read the label.  Error messages for physical disk errors are
<span id="L48" class="LineNr">48 </span>   declared in the include file fsdisk_errors.incl.pl1, in the array
<span id="L49" class="LineNr">49 </span>   fsdisk_error_message.
<span id="L50" class="LineNr">50 </span>
<span id="L51" class="LineNr">51 </span>
<span id="L52" class="LineNr">52 </span>:hcom:
<span id="L53" class="LineNr">53 </span>
<span id="L54" class="LineNr">54 </span>
<span id="L55" class="LineNr">55 </span>
<span id="L56" class="LineNr">56 </span>/****^  HISTORY COMMENTS:
<span id="L57" class="LineNr">57 </span>  1) change<span class="textRainbow_lv0_p0">(</span>2020-05-18<span class="textRainbow_lv0_o0">,</span>GDixon<span class="textRainbow_lv0_p0">)</span>, approve<span class="textRainbow_lv0_p0">(</span>2021-02-22<span class="textRainbow_lv0_o0">,</span>MCR10088<span class="textRainbow_lv0_p0">)</span>,
<span id="L58" class="LineNr">58 </span>     audit<span class="textRainbow_lv0_p0">(</span>2021-05-27<span class="textRainbow_lv0_o0">,</span>Swenson<span class="textRainbow_lv0_p0">)</span>, install<span class="textRainbow_lv0_p0">(</span>2021-05-27<span class="textRainbow_lv0_o0">,</span>MR12.6g-0056<span class="textRainbow_lv0_p0">)</span>:
<span id="L59" class="LineNr">59 </span>     Correct formatting errors in this info segment.  Content unchanged.
<span id="L60" class="LineNr">60 </span>                                                   END HISTORY COMMENTS */
<span id="L61" class="LineNr">61 </span>
<span id="L62" class="LineNr">62 </span>
<span id="L63" class="LineNr">63 </span>
</pre>
<script defer src='https://static.cloudflareinsights.com/beacon.min.js' data-cf-beacon='{"token": "4b6a131644014aa29fd88953508c3a3d"}'></script></body>
</html>
<!-- vim: set foldmethod=manual : -->
